Update a goal Run in API Explorer
Ask AI
PUT
/api/v1/client/{client_uuid}/goal/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/goal/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"Reduced Mileage","description":"Reduce the amount of gas spent yearly.","target_amount":5000,"progress":68.0,"timeframe":"Within the year.","complete_goal_by":"2027-05-20","priority":4,"shared_owner_uuid":"31797756-3d7b-4473-bfe2-ed60d635c1ee"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Reduced Mileage",
"description": "Reduce the amount of gas spent yearly.",
"target_amount": 5000,
"progress": 68.0,
"timeframe": "Within the year.",
"complete_goal_by": "2027-05-20",
"priority": 4,
"shared_owner_uuid": "31797756-3d7b-4473-bfe2-ed60d635c1ee"
}
Response examples (200)
{
"uuid": "da4adff2-9bd5-47d4-995c-b2593282a63e",
"created_at": "2026-05-20T13:55:10+01:00",
"updated_at": "2026-05-20T13:55:10+01:00",
"name": "Reduced Mileage",
"description": "Reduce the amount of gas spent yearly.",
"target_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"progress": "68",
"timeframe": "Within the year.",
"complete_goal_by": "2027-05-20T13:55:10+01:00",
"priority": "4",
"shared_owner_type": "individual",
"shared_owner": {
"uuid": "4e1975bf-de8c-452e-aaf1-668608ff9ee2",
"created_at": "2026-05-20T13:55:10+01:00",
"updated_at": "2026-05-20T13:55:10+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": "App\\Http\\Resources\\FirmResource",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"business_unit": "App\\Http\\Resources\\BusinessUnitResource",
"groups": "App\\Http\\Resources\\GroupResource",
"tags": "App\\Http\\Resources\\TagResource",
"owners": "App\\Http\\Resources\\AccountResource",
"first_contact_date": "2026-05-20T13:55:10+01:00",
"next_review_date": "2026-05-20T13:55:10+01:00",
"previous_review_date": "2026-05-20T13:55:10+01:00",
"anniversary_review_date": "2026-05-20T13:55:10+01:00",
"terms_of_business_at": "2026-05-20T13:55:10+01:00",
"client_agreement_at": "2026-05-20T13:55:10+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"circles": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"inactive_at": "2026-05-20",
"last_interaction_at": "2026-05-20 13:55:10",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
}
}